org.gradle.api.artifacts

## Interface ArtifactCollection

- All Superinterfaces:
    Iterable<ResolvedArtifactResult>

      @Incubating
      public interface ArtifactCollection
      extends Iterable<ResolvedArtifactResult>

  A collection of artifacts resolved for a configuration. The configuration is resolved on demand when the collection is queried.
  Since:
    3.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileCollection` | `getArtifactFiles()` A file collection containing the files for all artifacts in this collection.
    `Set<ResolvedArtifactResult>` | `getArtifacts()` Returns the resolved artifacts, performing the resolution if required.

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`

- - ### Method Detail

    - #### getArtifactFiles

          @Incubating
          FileCollection getArtifactFiles()

      A file collection containing the files for all artifacts in this collection. This is primarily useful to wire this artifact collection as a task input.

    - #### getArtifacts

          @Incubating
          Set<ResolvedArtifactResult> getArtifacts()

      Returns the resolved artifacts, performing the resolution if required. This will resolve the artifact metadata and download the artifact files as required.
      Throws:
        `ResolveException` - On failure to resolve or download any artifact.